#pragma once

// Standard setup for a Pro Micro

/*
 * Don't forget to do this (guitar pid=0x0004, drum pid=0x0005):
 
< micro.build.vid=0x2341
< micro.build.pid=0x8037
--
> micro.build.vid=0x1bad
> micro.build.pid=0x0004

< micro.build.extra_flags={build.usb_flags}
---
> micro.build.extra_flags={build.usb_flags} -DCDC_DISABLED

 */

const int STRUM_DOWN = 0;
const int STRUM_UP = 1;
const int TILT_SWITCH = 2;

const int BUTTON_GREEN = 3;
const int BUTTON_RED = 4;
const int BUTTON_YELLOW = 5;
const int BUTTON_BLUE = 6;
const int BUTTON_ORANGE = 7;

const int SOLO_GREEN = 20;
const int SOLO_RED = 19;
const int SOLO_YELLOW = 18;
const int SOLO_BLUE = 15;
const int SOLO_ORANGE = 14;


const int BUTTON_PLUS = 10;
const int BUTTON_MINUS = 16;

const int ANALOG_WAMMY = 9;
const int ANALOG_DPAD = 21;